import { GET_IMAGES_BY_LOCATION_URI } from "../constants/api"
import { client } from "./config"
import statusCode from "./status-code"

const initialState: any = {
  data: null,
  error: null
}

interface getImagesReq extends GetRequestPagination {
  location_id?: Number
}


async function getImagesByLocationService({ page, page_size, location_id }: getImagesReq) {
  const newState = { ...initialState }
  const url = `${GET_IMAGES_BY_LOCATION_URI}?location_id=${location_id}&page=${page}&page_size=${page_size}`

  try {
    const response = await client({ method: 'GET', url: url})
    switch (response.request.status) {
      case statusCode.OK:
        newState.data = response.data;
        return newState
      default:
        newState.error = response.data;
        return newState
    }
  } catch (error) {
    console.log(`GET IMAGE BY LOCATION SERVICE ERROR: ${error}`)
  }
}

export {
  getImagesByLocationService
}